Results 1 to 17 of 17

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: whats wrong with downgrading bootloader?

  1. #1
    Livin the iPhone Life heath_rox's Avatar
    Join Date
    Nov 2007
    Location
    Liberty City
    Posts
    1,292
    Thanks
    120
    Thanked 205 Times in 117 Posts

    Default whats wrong with downgrading bootloader?
    hi guys i just sold my old faithful 4 gb and im gonna by a 16 gb
    my question thou is whats wrong with downgrading the bootloader? does anything go wrong? does locate me (google maps) still work?
    thanks
    "Its better to be a pirate than join the navy"Steve Jobs

  2. #2
    Green Apple
    Join Date
    Feb 2008
    Location
    Manchester UK
    Posts
    76
    Thanks
    10
    Thanked 17 Times in 16 Posts

    There is nothing wrong with downgrading the bootloader, it's just that on a 16GB that shipped with a BL4.6, if you downgraded to a BL3.9 and tried to return it, chances are Apple would refuse straight off. If you downgraded to BL3.9FB using iPlus2.0 then you can upgrade again to 4.6, when a method is made.

    On the technical side, if you downgrade to BL3.9 you cant upgrade again to 4.6 unlike 3.9Fakeblank (well you can, but it involves opening your iPhone and Testpoint upgrading). Also if something goes wrong whilst downgrading, it can seriously mess up your iPhone

    With a 4.6 Bootloader, Google Maps Locate WONT WORK It needs the 04.03.13_G Baseband which can only be unlocked on Bootloader 3.9, so if you had an iPhone on 1.1.4 Firmware using Bootloader 4.6, it would still have the 04.02.13_G Baseband which is all that BL4.6 can be used on

  3. The Following User Says Thank You to Brownie2k For This Useful Post:

    heath_rox (2008-03-15)

  4. #3
    Livin the iPhone Life heath_rox's Avatar
    Join Date
    Nov 2007
    Location
    Liberty City
    Posts
    1,292
    Thanks
    120
    Thanked 205 Times in 117 Posts

    what happens if i downgrade the boot loader with ziphone then will google maps works
    "Its better to be a pirate than join the navy"Steve Jobs

  5. #4
    Green Apple
    Join Date
    Feb 2008
    Location
    Manchester UK
    Posts
    76
    Thanks
    10
    Thanked 17 Times in 16 Posts

    Yep it'll work, though to be honest, i'd use iPlus, you then downgrade to 3.9FakeBlank which can easily be upgraded to 4.6 again. Now i'm not familiar with it myself, but there are some great guides on using iPlus on this site or alternativly...

    http://www.iclarified.com/entry/index.php?enid=765

    Thats a simple step by step guide. You can use ZiPhone if you wish, it is much easier, but you CANT go back to 4.6 using ZiPhone... it's a permanant 3.9 Downgrade... So the choice is yours!

  6. The Following User Says Thank You to Brownie2k For This Useful Post:

    heath_rox (2008-03-15)

  7. #5
    Livin the iPhone Life heath_rox's Avatar
    Join Date
    Nov 2007
    Location
    Liberty City
    Posts
    1,292
    Thanks
    120
    Thanked 205 Times in 117 Posts

    thanks
    "Its better to be a pirate than join the navy"Steve Jobs

  8. #6
    Green Apple
    Join Date
    Feb 2008
    Location
    Manchester UK
    Posts
    76
    Thanks
    10
    Thanked 17 Times in 16 Posts

    Very welcome! Hope everything goes smoothly for you

  9. #7
    Quote Originally Posted by Brownie2k View Post
    With a 4.6 Bootloader, Google Maps Locate WONT WORK It needs the 04.03.13_G Baseband which can only be unlocked on Bootloader 3.9, so if you had an iPhone on 1.1.4 Firmware using Bootloader 4.6, it would still have the 04.02.13_G Baseband which is all that BL4.6 can be used on

    just wanted to know if what u say is true, that with 4.6 downgraded to 3.9fakeblank i cannot use the locate me feature???

    so if i use iplus i cannot use locate me ? plz clear it up for me if u can thanks.

  10. #8
    Green Apple
    Join Date
    Feb 2008
    Location
    Manchester UK
    Posts
    76
    Thanks
    10
    Thanked 17 Times in 16 Posts

    Yes you can use the google maps locate feature, because even though it's a "fake" version, the 3.9FakeBlank is STILL the 3.9 Bootloader but it's wrote to the phone in suce a way that it can be upgraded later.
    So YES it will still work

  11. The Following 2 Users Say Thank You to Brownie2k For This Useful Post:

    heath_rox (2008-03-16), seungki (2008-03-18)

  12. #9
    Quote Originally Posted by Brownie2k View Post
    Yes you can use the google maps locate feature, because even though it's a "fake" version, the 3.9FakeBlank is STILL the 3.9 Bootloader but it's wrote to the phone in suce a way that it can be upgraded later.
    So YES it will still work
    I must ask, do you mean yes it will work ONLY WHEN you restore it back to the real 4.6 or yes it will work even while you're still at the 3.9 fakeblank?

  13. #10
    Green Apple
    Join Date
    Feb 2008
    Location
    Manchester UK
    Posts
    76
    Thanks
    10
    Thanked 17 Times in 16 Posts

    Google Maps Locate wont work under the 4.6 Bootloader, but once you've downgraded the bootloader to 3.9FB, your baseband will be upgraded to 04.03.13_G if your on 1.1.3 or 04.04.05_G if your on 1.1.4.

    If your on BL 4.6 even if you have 1.1.4 you'll only have the 1.1.2 Baseband (04.02.13_G) and Google Maps Locate wont work on that baseband.

    So basically, Locate will only work on the 04.03.13_G Baseband or higher, which isn't possible with 4.6BL hence the need to downgrade to 3.9

  14. #11
    iPhone? More like MyPhone D3VIL™'s Avatar
    Join Date
    Mar 2008
    Location
    Look Behind You!
    Posts
    280
    Thanks
    7
    Thanked 70 Times in 59 Posts

    I'm running 1.1.4 on a 8gb iPhone with AT&T, jailbroken with ziphone 2.6c and still have 4.6_M3S2 BL with 04.04.05_G MF

  15. #12
    Would it matter if my iPhone is an 8 gig? What I mean is, if my iPhone were to be incapacitated in any way, I click on the Refurbish button on ziphone, would apple find out and refuse services on my iPhone if I have used ziphone to unlock then refurbish it?

    I dunno if I'm making sense...

  16. #13
    when ZiPhone can downgrade the bootloader ... there must be a way to upgrade it alsoo ... developers must be finding it ...

  17. #14
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    I believe there is a way to keep the 4.6BL by unlocking the phone with ziphone but not choosing the downgrade bootloader option. Then you use iClarified source to upgrade the baseband and use AnySIM 1.1.4 to unlock. Please confirm or deny these allegations :-)

  18. #15
    Green Apple
    Join Date
    Feb 2008
    Location
    Manchester UK
    Posts
    76
    Thanks
    10
    Thanked 17 Times in 16 Posts

    Not sure Poseidon, it could be possible, but that would mean upgrading Baseband via the actual phone, and that could cause problems should someone leave the Auto Lock on... i believe its easier to just to use an Automated program and using 3.9FakeBlank.
    I've used the ZiPhone downgrader and i've had no problems with my phone being on 3.9, plus with 3.9 you can just upgrade to the next firmware and unlock it automatically rather than dong loads of different steps

    Thats just my personal prefrence, but people differ

  19. #16
    What's Jailbreak?
    Join Date
    Mar 2008
    Location
    Vancouver, BC, Canada
    Posts
    14
    Thanks
    1
    Thanked 0 Times in 0 Posts

    hello everyone,

    where can i find what bootloader i have, i go to settings then about and i see that the MF is 04.04.05_G but i cant see any info about the BL?

  20. #17
    Green Apple
    Join Date
    Feb 2008
    Location
    Manchester UK
    Posts
    76
    Thanks
    10
    Thanked 17 Times in 16 Posts

    add the following source to your installer: http://www.trejan.com/irepo

    Then look for the app bbinfo. That'll tell you your BootLoader
    Modding my iPhone since Feb 08! lol

    If anything i say helps you, please click the thanks button!

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •